package kr.co.hanwha.hifive.data.model;

import java.util.ArrayList;

/**
 * Created by sanghoonkwon on 2018. 3. 15..
 */

public class DabProjectData {
    /**
     * 40
     */
    int project_id;
    /**
     * "우주최강개발"
     */
    String project_name;
    /**
     * 220
     */
    int evaluation;

    ArrayList<DabMemberData> listCaptains;

    ArrayList<DabMemberData> listMembers;

    public int getMemberCount() {
        int count = 0;
        if (listCaptains != null)count += listCaptains.size();
        if (listMembers != null) count += listMembers.size();
        return count;
    }

    public int getProject_id() {
        return project_id;
    }

    public String getProject_name() {
        return project_name;
    }

    public int getEvaluation() {
        return evaluation;
    }

    public ArrayList<DabMemberData> getListCaptains() {
        return listCaptains;
    }

    public ArrayList<DabMemberData> getListMembers() {
        return listMembers;
    }
}
/*
 {
    "project_id": 40,
    "project_name": "우주최강개발",
    "evaluation": 220,
    "listCaptains": [],
    "listMembers": [],
}
*/